%define module Net-Gadu

Summary:	Perl module to support Gadu-Gadu protocol
Name:		perl-Net-Gadu
Version:	1.9
Release:	%mkrel 1
License:	LGPLv2+
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source0:	http://www.cpan.org/modules/by-module/Net/%{module}-%{version}.tar.gz
BuildRequires:	perl-devel
BuildRequires:	libgadu-devel	>= 1.7.1
BuildRequires:  chrpath
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Net-Gadu is a perl module. It is intended to make it easy to add Gadu-Gadu
communication support to your scripts. It uses libgadu library.

%prep
%setup -q -n %{module}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std
find %{buildroot}%{perl_vendorarch} -type f | xargs chmod u+w
install ex/ex1 example.pl
chrpath -d %{buildroot}%{perl_vendorarch}/auto/Net/Gadu/Gadu.so

%clean
rm -rf %{buildroot}
    
%files
%defattr(-,root,root)
%doc Changes README example.pl contrib
%{perl_vendorarch}/auto/Net
%{perl_vendorarch}/Net
%{_mandir}/man3/Net::Gadu.3pm*


%changelog
* Thu Nov 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.9-1mdv2009.1
+ Revision: 302853
- new version
  spec cleanup
  rename spec file

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.8-9mdv2009.0
+ Revision: 258012
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.8-8mdv2009.0
+ Revision: 246116
- rebuild

* Sat Mar 01 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.8-6mdv2008.1
+ Revision: 176993
- rebuild for new libgadu
- new license policy

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.8-5mdv2008.1
+ Revision: 171027
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- fix no-buildroot-tag

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.8-4mdv2008.1
+ Revision: 152218
- rebuild
- kill re-definition of %%buildroot on Pixel's request

* Wed Jul 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.8-3mdv2008.0
+ Revision: 53341
- rebuild
- some minor cleans

* Wed Jun 13 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.8-2mdv2008.0
+ Revision: 38585
- use correct perl macros
- provide Net::Gadu
- add %%check
- compile with optflags
- fix file list

* Mon Apr 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.8-1mdv2008.0
+ Revision: 17303
- new version
- bzip sources


* Sun Jan 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7-2mdv2007.0
+ Revision: 111487
- spec file clean
- bump release tag

* Wed Jan 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7-1mdv2007.1
+ Revision: 109715
- drop noarch
- fix build on x86_64
- Import perl-Net-Gadu

